> ## Documentation Index
> Fetch the complete documentation index at: https://docs.b3.fun/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Native Coin Holders List



## OpenAPI

````yaml https://data-api.b3.fun/swagger.json?v=1 get /blockscout/addresses
openapi: 3.0.0
info:
  description: >-
    Cached proxy layer for multiple blockchain APIs with 24-hour caching and
    automatic fallback across chains. Supports both Blockscout and ThirdWeb
    Insights APIs. Add ?mintlify parameter for Mintlify-compatible version.
  version: 1.0.0
  title: B3 Data API - Multi-Chain Data API
  contact:
    name: B3 Team
    url: https://b3.fun
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
servers:
  - url: https://data-api.b3.fun/
    description: B3 Data API - Multi-Chain Proxy
security: []
tags:
  - name: blockscout/search
    description: Blockscout search functionality
  - name: blockscout/transactions
    description: Blockscout transaction data
  - name: blockscout/blocks
    description: Blockscout block data
  - name: blockscout/tokens
    description: Blockscout token and transfer data
  - name: blockscout/stats
    description: Blockscout statistics and charts
  - name: blockscout/main-page
    description: Blockscout main page data
  - name: blockscout
    description: General Blockscout endpoints
  - name: insights/events
    description: ThirdWeb Insights event data
  - name: insights/transactions
    description: ThirdWeb Insights transaction analytics
  - name: insights/tokens
    description: ThirdWeb Insights token analytics
  - name: insights/nfts
    description: ThirdWeb Insights NFT analytics
  - name: insights/wallets
    description: ThirdWeb Insights wallet analytics
  - name: insights/contracts
    description: ThirdWeb Insights contract analytics
  - name: insights/resolve
    description: ThirdWeb Insights ENS resolution
  - name: insights/blocks
    description: ThirdWeb Insights block data
  - name: insights/decode
    description: ThirdWeb Insights transaction decoding
  - name: insights/general
    description: General ThirdWeb Insights endpoints
paths:
  /blockscout/addresses:
    get:
      tags:
        - blockscout
      summary: Get Native Coin Holders List
      operationId: get_addresses
      responses:
        '200':
          description: Token
          content:
            application/json:
              schema:
                type: object
                required:
                  - exchange_rate
                  - total_supply
                  - items
                  - next_page_params
                properties:
                  exchange_rate:
                    type: string
                    example: '0.01'
                  total_supply:
                    type: string
                    example: '100000000'
                  items:
                    type: array
                    items:
                      $ref: '#/components/schemas/AddressWithTxCount'
                  next_page_params:
                    type: object
                    example:
                      fetched_coin_balance: '269536604956070000000'
                      hash: '0xf74769d9ffe1cd17f20b283995cf9e7fa2a262ed'
                      items_count: 50
        '400':
          description: Bad Input Parameter
components:
  schemas:
    AddressWithTxCount:
      allOf:
        - $ref: '#/components/schemas/Address'
        - type: object
          required:
            - transaction_count
          properties:
            transaction_count:
              type: string
              example: '1234'
    Address:
      type: object
      required:
        - hash
      properties:
        creator_address_hash:
          type: string
          example: '0xEb533ee5687044E622C69c58B1B12329F56eD9ad'
        creation_transaction_hash:
          type: string
          example: '0x1f610ff9c1efad6b5a8bb6afcc0786cd7343f03f9a61e2544fcff908cedee924'
        token:
          $ref: '#/components/schemas/TokenInfo'
        coin_balance:
          type: string
          example: '10000000'
        exchange_rate:
          type: string
          example: '1.01'
        implementation_address:
          type: string
          example: '0xEb533ee5687044E622C69c58B1B12329F56eD9ad'
        block_number_balance_updated_at:
          type: integer
          example: 27656552
        hash:
          type: string
          example: '0xEb533ee5687044E622C69c58B1B12329F56eD9ad'
        implementation_name:
          type: string
          example: implementationName
        name:
          type: string
          example: contractName
        is_contract:
          type: boolean
        private_tags:
          type: array
          items:
            $ref: '#/components/schemas/AddressTag'
        watchlist_names:
          type: array
          items:
            $ref: '#/components/schemas/WatchlistName'
        public_tags:
          type: array
          items:
            $ref: '#/components/schemas/AddressTag'
        is_verified:
          type: boolean
        has_beacon_chain_withdrawals:
          type: boolean
        has_logs:
          type: boolean
        has_token_transfers:
          type: boolean
        has_tokens:
          type: boolean
        has_validated_blocks:
          type: boolean
    TokenInfo:
      type: object
      required:
        - address
        - circulating_market_cap
        - icon_url
        - symbol
        - name
        - decimals
        - type
        - holders
        - exchange_rate
        - total_supply
      properties:
        circulating_market_cap:
          type: string
          example: '83606435600.3635'
        icon_url:
          type: string
          example: >-
            https://raw.githubusercontent.com/trustwallet/assets/master/blockchains/ethereum/assets/0xdAC17F958D2ee523a2206206994597C13D831ec7/logo.png
        name:
          type: string
          example: Tether USD
        decimals:
          type: string
          example: '6'
        symbol:
          type: string
          example: USDT
        address:
          type: string
          example: '0x394c399dbA25B99Ab7708EdB505d755B3aa29997'
        type:
          type: string
          example: ERC-20
        holders:
          type: string
          example: '837494234523'
        exchange_rate:
          type: string
          example: '0.99'
        total_supply:
          type: string
          example: '10000000'
    AddressTag:
      type: object
      required:
        - address_hash
        - display_name
        - label
      properties:
        address_hash:
          type: string
          example: '0xEb533ee5687044E622C69c58B1B12329F56eD9ad'
        display_name:
          type: string
          example: name to show
        label:
          type: string
          example: label
    WatchlistName:
      type: object
      required:
        - display_name
        - label
      properties:
        display_name:
          type: string
          example: name to show
        label:
          type: string
          example: label

````